--------------------------------------------------------------------------------
-- Tide Pod
-- Script by Seekay, April 2018, www.unrealsoftware.de/profile.php?userid=22484
-- Original Apple script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if ck==nil then ck={} end
ck.tidepod={}

-- Load & Prepare Ressources
ck.tidepod.gfx_wpn=loadgfx("weapons/seekay/tidepod.png")					-- Weapon Image
setmidhandle(ck.tidepod.gfx_wpn)
ck.tidepod.sfx_eat=loadsfx("eat.ogg")										-- Eat Sound
ck.tidepod.sfx_poison=loadsfx("expdrugs.ogg")								-- Poison Sound
ck.tidepod.sfx_attack=loadsfx("supplyincoming.ogg")							-- Supply Incoming Sound

--------------------------------------------------------------------------------
-- Weapon: Tide Pod
--------------------------------------------------------------------------------

ck.tidepod.id=addweapon("ck.tidepod","Tide Pod",ck.tidepod.gfx_wpn,0,0)			-- Add Weapon (0 uses)
addweaponinfo("Legendary candy. Poisons and deals random damage \(25-125\), but gives you fame in the form of 5 supply crates. It doesn't end the turn, so are you up for the challenge?")

function ck.tidepod.draw()												-- Draw
	if (weapon_shots==0) then
		setblend(blend_alpha)
		setalpha(1)
		setcolor(255,255,255)
		drawinhand(ck.tidepod.gfx_wpn,8,2,0.6)
	end
end

function ck.tidepod.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- Use weapon and allow to use another one afterwards (1)
			useweapon(1)
			weapon_shots=weapon_shots+1
			-- Damage
			randomseed(getframe()*100)
			playerdamage(0,random(25,125))
			playerstate(0,state_poisoned,1)
			-- Create and Scroll
			for i=-100,100,50 do
				createobject(o_supply,getplayerx(0)+i,-150)
			end
			scroll(getplayerx(0),getplayery(0))
			-- Use weapon and allow to use another one afterwards (1)
			useweapon(1)
			-- Effect
			playsound(ck.tidepod.sfx_attack)
			playsound(ck.tidepod.sfx_poison)
			playsound(ck.tidepod.sfx_eat)
			x=getplayerx(0)
			y=getplayery(0)+3
			particle(p_muzzle,x,y)
			particlesize(1,1)
			particlecolor(0,255,0)
			particlealpha(1.0)
			particlefadealpha(0.01)
			particle(p_muzzle,x,y)
			particlesize(1,2)
			particlecolor(0,255,0)
			particlealpha(1.0)
			particlefadealpha(0.02)
			particlerotation(0)
			for j=1,15,1 do
				particle(p_flare,x-10.0+math.random()*20.0,y+math.random()*10.0)
				particlesize(3.0,3.0)
				particlecolor(0,255,0)
				particlespeed(0,math.random(2,15)*-0.1)
				particlefadealpha(0.01)
			end
		end
	end
end